<?

function tmpl_warning($s){
$res=<<<EOT
	 <div class="div_block">
        <br/><p class="warning"><br/ >$s<br /><br /></p><br/>
    </div>
EOT;
return $res;
}


function tmpl_admin_panel(){
$res=<<<EOT
    <div class="div_block">
    <h3>Controls</h3>
    <div id="adm_panel">
        {table_info}
        {comands}
        {popularity}
        {options}
        {documentation}
        </div>
    </div>
EOT;
    return $res;
}

function tmpl_admin_menu(){
    $res=<<<EOT
        <div class="div_block">
        <h3>Actions</h3>
            {admin_menu}
        </div>
EOT;
    return $res;
}

function tmpl_search(){
$res=<<<EOT
    <div class="div_frm" id="content">
      {search}
     </div>
EOT;
return $res;
}

function tmpl_sub_cat(){
$res=<<<EOT
		<div class="div_block">
     <h3>{dir_title} Categories</h3>
        <div class="sub_div">
         {sub_categories}
        </div>
    </div>
EOT;

return $res;
}

function tmpl_cat_desc(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>{dir_title}</h3>
		<p>{path_str}</p>
        {category_description}
	 </div>
EOT;
return $res;
}

function tmpl_neighb(){
	$res=<<<EOT
        <div class="div_block">
            <h3>{dir_title} Neighbours</h3>
            <div class="sub_div">
                {neighb}
            </div>
        </div>
EOT;
    return $res;
}
function tmpl_rel_cat(){
	$res=<<<EOT
        <div class="div_block">
            <h3>See Also</h3>
                {rel_cat}
        </div>
EOT;
    return $res;
}


function tmpl_admin_sub_cat(){
$res=<<<EOT
    <div class="div_block">
        <div>
         {admin_sub_categories}
        </div>
    </div>
EOT;

return $res;
}



function tmpl_ads(){
$res=<<<EOT
    <div class="div_block">
     <h3>Google Ads</h3>
       <p>{ads}</p>
    </div>
EOT;
return $res;
}
			
			
function tmpl_links(){			
$res=<<<EOT
    <div class="div_block">
     <h3>{dir_title} Links</h3>
       <div class="item_link">
       {links}
       </div>
    </div>
EOT;
return $res;
}
			
function tmpl_login(){
    global $ADMIN;
    if ($ADMIN) {
        return false;
    }
$res=<<<EOT
    <div class="div_block">
     <h3>Editors Area</h3>
       {login_description}
       <div class="edits">
       {login}
       </div>
    </div>
EOT;
return $res;
}

function tmpl_search_results(){
$res=<<<EOT
	 <div class="div_block">
        <h3>Search Results</h3>
        <p>{search_results_info}</p>
		<div class="item_link">
		{search_results}
		</div>
	 </div>
EOT;
return $res;
}

function tmpl_top_rated(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Top Rated Links</h3>
		<div class="item_link">
		{top_rated}
		</div>
	 </div>
EOT;
return $res;
}


function tmpl_broken_links(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Broken Links</h3>
		<div class="item_link">
		{broken_links}
		</div>
	 </div>
EOT;
return $res;
}


function tmpl_new_links(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>New Links</h3>
		<div class="item_link">
		{new_links}
		</div>
	 </div>
EOT;
return $res;
}

function tmpl_editor_links(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Your Links</h3>
		<div class="item_link">
		{editor_links}
		</div>
	 </div>
EOT;
return $res;
}

function tmpl_approve(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>{approve_title}</h3>
		<div class="item_link">
		{approve_body}
		</div>
	 </div>
EOT;
return $res;
}



function tmpl_insert(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>{insert_title}</h3>
        {insert_body}
	 </div>
EOT;
return $res;
}

function tmpl_siteinfo_comments(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Comments</h3>
        {siteinfo_comments}
	 </div>
EOT;
return $res;
}

function tmpl_siteinfo_related(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Related Links</h3>
        {siteinfo_related}
	 </div>
EOT;
return $res;
}

function tmpl_siteinfo_lastkw(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Found in the results of these keywords</h3>
        {siteinfo_lastkw}
	 </div>
EOT;
return $res;
}

function tmpl_siteinfo_refer(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Referrers to topic</h3>
        {siteinfo_refer}
	 </div>
EOT;
return $res;
}



function tmpl_link_status(){
$res=<<<EOT
	 <div class="div_block">
	  <h3>Link Status</h3>
		<div class="item_link">
		{link_status}
		</div>
	 </div>
EOT;
return $res;
}

function tmpl_editor_registration(){
$res=<<<EOT
    <div class="div_block">
     <h3>Registration</h3>
       {login_description}
       <div class="edits">
       {editor_registration}
       </div>
    </div>
EOT;
return $res;
}


function template_index(){
    global $content;
    if ($_GET['built']) {
        $res=tmpl_warning('Directry Rebuilt Succesfully');
    }
    $res.=tmpl_search().tmpl_cat_desc();
    if ($content['sub_categories']) {
        $res.=tmpl_sub_cat();
    }



    if ($content['admin_sub_categories']) {
        $res.=tmpl_admin_sub_cat();
    }

    $res.=tmpl_ads();
    if ($content['links']) {
        $res.=tmpl_links();
    }

    if ($content['neighb']) {
        $res.=tmpl_neighb();
    }

    if ($content['rel_cat']) {
        $res.=tmpl_rel_cat();
    }

    if ($content['login']) {
        $res.=tmpl_login();
    }
    return $res;
}

function template_search_page(){
	return tmpl_search().tmpl_cat_desc().tmpl_search_results().tmpl_ads().tmpl_login();
}

function template_top_rated(){
    global $content;
	$res=tmpl_search().tmpl_cat_desc();
    if (trim($content['top_rated'])) {
        $res.=tmpl_top_rated();
    }else{
        $res.=tmpl_warning('There are no links in the Directory...');
    }
    $res.=tmpl_ads().tmpl_login();
    return $res;
}

function template_new_links(){
    global $content;
    $res=tmpl_search().tmpl_cat_desc();
    if ($content['new_links']) {
        $res.=tmpl_new_links();
    }else{
        $res.=tmpl_warning('There are no new links...');
    }
    $res.=tmpl_ads().tmpl_login();
	return $res;
}

function template_insert_url(){
    global $content;
    if ($content['path_str']) {
        $res.=tmpl_cat_desc();
    }
    $res.=tmpl_insert();
	return $res;
}

function template_insert_cat(){
    if ($content['path_str']) {
        $res.=tmpl_cat_desc();
    }
    $res=tmpl_insert();
	return $res;
}


function template_link_status(){
    global $content;
    $res=tmpl_search().tmpl_cat_desc();
    if ($content['link_status']) {
        $res.=tmpl_link_status();
    }
    if ($content['login']) {
        $res.=tmpl_login();
    }
	return $res;
}

function template_site_info(){
    global $content;
    $res=tmpl_cat_desc();
    if ($content['siteinfo_comments']) {
        $res.=tmpl_siteinfo_comments();
    }
    if ($content['siteinfo_related']) {
        $res.=tmpl_siteinfo_related();
    }
    if ($content['siteinfo_lastkw']) {
        $res.=tmpl_siteinfo_lastkw();
    }
    if ($content['siteinfo_refer']) {
        $res.=tmpl_siteinfo_refer();
    }
    $res.=tmpl_search();
    return $res;
}



function template_editor_registration(){
    $res=tmpl_search().tmpl_cat_desc().tmpl_editor_registration();
	return $res;
}


function template_admin(){
	return tmpl_search().tmpl_cat_desc().tmpl_admin_panel();
}

function template_approve(){
	return tmpl_search().tmpl_cat_desc().tmpl_approve();
}

function template_broken_links(){
	return tmpl_search().tmpl_cat_desc().tmpl_broken_links();
}

function template_editor_links(){
    global $content;
    $res=tmpl_search().tmpl_cat_desc();
    if ($content['editor_links']) {
        $res.=tmpl_editor_links();
    }else{
        $res.=tmpl_warning('You have no links...');
    }
    $res.=tmpl_ads().tmpl_login();
	return $res;
}

?>
			

